#ifndef CASE_H_INCLUDED
#define CASE_H_INCLUDED

#include "CasesXML.h"
#include "structures.h"

Case* Librairie_Cases(const char *filename);

Case* Remplir_Cases_log(const char *filename);


Case* init_case(Case *c,int x, int y, Type_Terrain *t);

int get_x(Case *c);

int get_y(Case *c);

boolean est_occupee(Case *c);

Type_Terrain * init_terrain(Type_Terrain * t, char * n, boolean f, unsigned short int PD);

boolean terrain_franchissable(Type_Terrain *t);

boolean case_franchissable(Case *c);

void marquer_occupee(Case *c);

void marquer_libre(Case *c);

Type_Terrain* get_terrain(Case *c);

int init_carte(Carte* c,unsigned short int largeur, unsigned short int hauteur);


#endif

